Bug 1396937 - VM reconfigure: submit is disabled, when memory new value is set after add disk
Summary: VM reconfigure: submit is disabled, when memory new value is set after add disk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Moti Asayag
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev, vm reconfigure
Depends On:
Blocks: 1401018
TreeView+ depends on / blocked
 
Reported: 2016-11-21 08:53 UTC by Ilanit Stein
Modified: 2017-06-12 17:44 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1401018 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:44:32 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)
submit disabled before memory set (107.66 KB, image/png)
2016-11-21 08:54 UTC, Ilanit Stein
no flags Details
submit disabled after memory set. (104.44 KB, image/png)
2016-11-21 08:55 UTC, Ilanit Stein
no flags Details

Description Ilanit Stein 2016-11-21 08:53:31 UTC
Description of problem:
VM reconfigure submit is disabled, when memory new value is inserted,
after filling new value to cpu sockets, and add disk.

Version-Release number of selected component (if applicable):
cfme-5.7.0.11
RHV-4.0.5

Steps to Reproduce:
1. VM reconfigure a down VM
2. Set memory to be changed, but not yet change it (a message will be seen
See screenshot "submit disabled before memory set" attachment.
4. Set the cpu to be changed. change socket number 1->2.
5. Press "Add disk" button, add disk with some size, and press "add" action.
6. Set a new valid value to the memory for example 1024->2048 MB)
submit button still do not turn into enabled, though validation to all fields is OK.
See screenshot "submit disabled after memory set" attachment.

Expected results:
Submit button should be enabled, after setting a new value to the memory,
with the steps above.

Additional information:
If the memory new value is inserted before add disk,
then the submit button is enabled.

Comment 2 Ilanit Stein 2016-11-21 08:54:32 UTC
Created attachment 1222325 [details]
submit disabled before memory set

Comment 3 Ilanit Stein 2016-11-21 08:55:06 UTC
Created attachment 1222327 [details]
submit disabled after memory set.

Comment 4 Moti Asayag 2016-11-29 15:45:51 UTC
https://github.com/ManageIQ/manageiq/pull/12897

Comment 7 Ilanit Stein 2017-04-23 11:34:51 UTC
Verified on CFME-5.8.0.11/RHV-4.0.7 - For the flow in bug description,
the submit button is active.


Note You need to log in before you can comment on or make changes to this bug.